import { render, screen, waitFor } from '@testing-library/react'
import { FluidType, TimeStep } from 'enums'
import React from 'react'
import { Provider } from 'react-redux'
import { graphData } from 'tests/__mocks__/chartData.mock'
import { createMockEcolyoStore, mockChartState } from 'tests/__mocks__/store'
import { ChartCompare } from './ChartCompare'

describe('ChartCompare component', () => {
  it('should format multifluid value AND compared value', async () => {
    const store = createMockEcolyoStore({
      chart: {
        ...mockChartState,
        currentDatachart: graphData,
        showCompare: true,
        currentTimeStep: TimeStep.DAY,
      },
    })
    const { container } = render(
      <Provider store={store}>
        <ChartCompare fluidType={FluidType.MULTIFLUID} />
      </Provider>
    )
    await waitFor(() => null, { container })
    expect(screen.getByText('130,84 €')).toBeInTheDocument()
    expect(screen.getByText('110,66 €')).toBeInTheDocument()
  })
})
