import { render, screen, waitFor } from '@testing-library/react'
import EcogestureModal from 'components/Ecogesture/EcogestureModal/EcogestureModal'
import React from 'react'
import { Provider } from 'react-redux'
import { mockedEcogesturesData } from 'tests/__mocks__/ecogesturesData.mock'
import { createMockEcolyoStore } from 'tests/__mocks__/store'

describe('EcogestureModal component', () => {
  it('should be rendered correctly', async () => {
    const store = createMockEcolyoStore()
    const { container } = render(
      <Provider store={store}>
        <EcogestureModal
          open={true}
          ecogesture={mockedEcogesturesData[0]}
          isAction={false}
          handleCloseClick={jest.fn()}
        />
      </Provider>
    )
    await waitFor(() => null, { container })
    expect(
      screen.getByText(mockedEcogesturesData[0].shortName)
    ).toBeInTheDocument()
  })
})
