import QuestionMarkIcon from 'assets/icons/ico/questionMark.svg'
import StyledCard from 'components/CommonKit/Card/StyledCard'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'
import { useAppDispatch } from 'store/hooks'
import { openFeedbackModal } from 'store/modal/modal.slice'
import '../OptionsView.scss'

const HelpLink = () => {
  const { t } = useI18n()
  const dispatch = useAppDispatch()

  return (
    <div className="styled-card-root">
      <div className="styled-card-content">
        <div className="styled-card-header text-16-normal-uppercase">
          {t('help.title_help')}
        </div>
        <StyledCard onClick={() => dispatch(openFeedbackModal(true))}>
          <StyledIcon icon={QuestionMarkIcon} size={38} />
          {t('help.read_help')}
        </StyledCard>
      </div>
    </div>
  )
}

export default HelpLink
